DeluxHostAPI Reference
Invoices

Download a credit note PDF

GET
/v1/credit-notes/{id}/pdf

Byte-for-byte the document the dashboard serves. Shares the PDF rate budget with the invoice PDF.

Authorization

apiToken invoices:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: invoices:read

Path Parameters

id*integer

The credit note id, as returned by GET /v1/credit-notes.

Response Body

The PDF.

response?fileapplication/pdf
Formatbinary
curl -X GET 'https://api.deluxhost.net/v1/credit-notes/0/pdf' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
"string"